> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jurichat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar contato

> Cria um novo contato vinculado à inbox informada. As tags devem existir na mesma inbox. Conflito de dados únicos retorna 409.



## OpenAPI

````yaml https://api.jurichat.com/docs/client/openapi.json post /people/
openapi: 3.1.0
info:
  title: JuriChat API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.jurichat.com
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /people/:
    post:
      tags:
        - Contacts
      summary: Criar contato
      description: >-
        Cria um novo contato vinculado à inbox informada. As tags devem existir
        na mesma inbox. Conflito de dados únicos retorna 409.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Nome do contato.
                phoneNumber:
                  type: string
                  description: Número de telefone do contato.
                email:
                  type: string
                  description: E-mail do contato. Opcional.
                document:
                  type: string
                  description: >-
                    CPF ou CNPJ. Aceita formato numérico ou alfanumérico (CNPJ).
                    Opcional.
                description:
                  type: string
                  description: Anotações sobre o contato. Opcional.
                country:
                  type: string
                  description: País. Opcional.
                city:
                  type: string
                  description: Cidade. Opcional.
                inboxId:
                  type: string
                  description: ID da inbox à qual o contato será vinculado.
                isBlocked:
                  type: boolean
                  description: Define se o contato começa bloqueado.
                tags:
                  type: array
                  items:
                    type: string
                  description: IDs de tags existentes na inbox. Omitir para criar sem tags.
              required:
                - name
                - phoneNumber
                - inboxId
                - isBlocked
              additionalProperties: false
        required: true
      responses:
        '201':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    pattern: ^[cC][^\s-]{8,}$
                    description: ID do contato criado.
                  name:
                    type: string
                    description: Nome do contato.
                  email:
                    type: string
                    description: E-mail do contato. Omitido se não informado.
                  phoneNumber:
                    type: string
                    nullable: true
                    description: Número de telefone do contato.
                  document:
                    type: string
                    description: Documento do contato. Omitido se não informado.
                  description:
                    type: string
                    description: Anotações sobre o contato. Omitido se não informado.
                  country:
                    type: string
                    description: País. Omitido se não informado.
                  city:
                    type: string
                    description: Cidade. Omitida se não informada.
                  isBlocked:
                    type: boolean
                    description: Indica se o contato está bloqueado.
                  inboxId:
                    type: string
                    description: ID da inbox à qual o contato pertence.
                  tags:
                    type: array
                    items:
                      type: string
                    description: IDs das tags associadas ao contato.
                required:
                  - id
                  - name
                  - phoneNumber
                  - isBlocked
                  - inboxId
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  details: {}
                required:
                  - message
                  - statusCode
                additionalProperties: false
        '409':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  details: {}
                required:
                  - message
                  - statusCode
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-jurichat-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-jurichat-api-key.

````